curl --request GET \
--url https://api.ssi.com.vn/api/v3/data/securitiesByBoard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/data/securitiesByBoard"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/data/securitiesByBoard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ssi.com.vn/api/v3/data/securitiesByBoard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ssi.com.vn/api/v3/data/securitiesByBoard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ssi.com.vn/api/v3/data/securitiesByBoard")
.header("Content-Type", "<content-type>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ssi.com.vn/api/v3/data/securitiesByBoard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = '<content-type>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"symbol": "ACB",
"symbolNameVi": "Ngân hàng Thương mại Cổ phần Á Châu",
"symbolNameEn": "Asia Commercial Joint Stock Bank",
"board": "HOSE",
"lotSize": "100",
"maturityDate": "",
"firstTradingDate": "",
"lastTradingDate": "",
"cwUnderlyingSymbol": null,
"cwExercisePrice": "0",
"cwExecutionRatio": "0",
"listedShare": "5804421957",
"icbCode": "8355",
"icbName": "Ngân hàng",
"iIndex": null,
"iNav": null,
"openInterest": null,
"settlementPrice": null
},
{
"symbol": "BID",
"symbolNameVi": "Ngân hàng Thương mại Cổ phần Đầu tư và Phát triển Việt Nam",
"symbolNameEn": "Joint Stock Commercial Bank for Investment and Development of Vietnam",
"board": "HOSE",
"lotSize": "100",
"maturityDate": "",
"firstTradingDate": "",
"lastTradingDate": "",
"cwUnderlyingSymbol": null,
"cwExercisePrice": "0",
"cwExecutionRatio": "0",
"listedShare": "7280065210",
"icbCode": "8355",
"icbName": "Ngân hàng",
"iIndex": null,
"iNav": null,
"openInterest": null,
"settlementPrice": null
},
{
"symbol": "GAS",
"symbolNameVi": "Tổng Công ty Khí Việt Nam - Công ty Cổ phần",
"symbolNameEn": "PetroVietnam Gas Joint Stock Corporation",
"board": "HOSE",
"lotSize": "100",
"maturityDate": "",
"firstTradingDate": "",
"lastTradingDate": "",
"cwUnderlyingSymbol": null,
"cwExercisePrice": "0",
"cwExecutionRatio": "0",
"listedShare": "2412949756",
"icbCode": "7573",
"icbName": "Phân phối xăng dầu & khí đốt",
"iIndex": null,
"iNav": null,
"openInterest": null,
"settlementPrice": null
}
]{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Danh sách chứng khoán
Lấy danh sách chứng khoán theo điều kiện lọc. Khách chỉ được phép cung cấp một trong ba tham số symbol, board hoặc index để lọc danh sách chứng khoán.
curl --request GET \
--url https://api.ssi.com.vn/api/v3/data/securitiesByBoard \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: <content-type>'import requests
url = "https://api.ssi.com.vn/api/v3/data/securitiesByBoard"
headers = {
"Content-Type": "<content-type>",
"Authorization": "Bearer <token>"
}
response = requests.get(url, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': '<content-type>', Authorization: 'Bearer <token>'}
};
fetch('https://api.ssi.com.vn/api/v3/data/securitiesByBoard', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.ssi.com.vn/api/v3/data/securitiesByBoard",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>",
"Content-Type: <content-type>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.ssi.com.vn/api/v3/data/securitiesByBoard"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Content-Type", "<content-type>")
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.ssi.com.vn/api/v3/data/securitiesByBoard")
.header("Content-Type", "<content-type>")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.ssi.com.vn/api/v3/data/securitiesByBoard")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Content-Type"] = '<content-type>'
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body[
{
"symbol": "ACB",
"symbolNameVi": "Ngân hàng Thương mại Cổ phần Á Châu",
"symbolNameEn": "Asia Commercial Joint Stock Bank",
"board": "HOSE",
"lotSize": "100",
"maturityDate": "",
"firstTradingDate": "",
"lastTradingDate": "",
"cwUnderlyingSymbol": null,
"cwExercisePrice": "0",
"cwExecutionRatio": "0",
"listedShare": "5804421957",
"icbCode": "8355",
"icbName": "Ngân hàng",
"iIndex": null,
"iNav": null,
"openInterest": null,
"settlementPrice": null
},
{
"symbol": "BID",
"symbolNameVi": "Ngân hàng Thương mại Cổ phần Đầu tư và Phát triển Việt Nam",
"symbolNameEn": "Joint Stock Commercial Bank for Investment and Development of Vietnam",
"board": "HOSE",
"lotSize": "100",
"maturityDate": "",
"firstTradingDate": "",
"lastTradingDate": "",
"cwUnderlyingSymbol": null,
"cwExercisePrice": "0",
"cwExecutionRatio": "0",
"listedShare": "7280065210",
"icbCode": "8355",
"icbName": "Ngân hàng",
"iIndex": null,
"iNav": null,
"openInterest": null,
"settlementPrice": null
},
{
"symbol": "GAS",
"symbolNameVi": "Tổng Công ty Khí Việt Nam - Công ty Cổ phần",
"symbolNameEn": "PetroVietnam Gas Joint Stock Corporation",
"board": "HOSE",
"lotSize": "100",
"maturityDate": "",
"firstTradingDate": "",
"lastTradingDate": "",
"cwUnderlyingSymbol": null,
"cwExercisePrice": "0",
"cwExecutionRatio": "0",
"listedShare": "2412949756",
"icbCode": "7573",
"icbName": "Phân phối xăng dầu & khí đốt",
"iIndex": null,
"iNav": null,
"openInterest": null,
"settlementPrice": null
}
]{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}{
"code": "<string>",
"msg": "<string>"
}Ủy quyền
Access token lấy từ endpoint /api/v3/auth/token hoặc /api/v3/auth/refresh.
Tiêu đề
Định dạng nội dung request body. Chủ yếu là application/json.
Thông tin client gửi request.
Ngôn ngữ phản hồi mong muốn. Nếu không có header này, hệ thống sẽ mặc định là en
Tham số truy vấn
Mã chứng khoán cần truy vấn. Chỉ cung cấp một trong ba tham số symbol, board hoặc index.
Mã sàn cần lấy danh sách chứng khoán. Giá trị có thể là HOSE, HNX, hoặc UPCOM.
Mã chỉ số cần lấy danh sách chứng khoán.
Phản hồi
Thành công.
Mã chứng khoán hoặc mã hợp đồng phái sinh.
Tên chứng khoán bằng tiếng Việt.
Tên chứng khoán bằng tiếng Anh.
Mã sàn giao dịch.
HOSE, HNX, UPCOM Đơn vị giao dịch lô chẵn.
Ngày đáo hạn.
Ngày giao dịch đầu tiên.
Ngày giao dịch cuối cùng.
Mã chứng khoán cơ sở của chứng quyền.
Giá thực hiện của chứng quyền.
Tỷ lệ thực hiện của chứng quyền.
Số lượng cổ phiếu niêm yết.
Mã ngành ICB.
Tên ngành ICB.
Chỉ số IIndex.
Giá trị iNAV.
Khối lượng mở.
Giá thanh toán.